# Genomics API . references . bases

## Instance Methods

Lists the bases in a reference, optionally restricted to a range.

Retrieves the next page of results.

### Method Details

`list(referenceId, end=None, pageSize=None, pageToken=None, start=None)`

    Lists the bases in a reference, optionally restricted to a range.

    Implements GlobalAllianceApi.getReferenceBases.

    Args:
      referenceId: string, The ID of the reference. (required)
      end: string, The end position (0-based, exclusive) of this query. Defaults to the length of this reference.
      pageSize: integer, The maximum number of bases to return in a single page. If unspecified, defaults to 200Kbp (kilo base pairs). The maximum value is 10Mbp (mega base pairs).
      pageToken: string, The continuation token, which is used to page through large result sets. To get the next page of results, set this parameter to the value of nextPageToken from the previous response.
      start: string, The start position (0-based) of this query. Defaults to 0.

    Returns:
      An object of the form:

        {
        "nextPageToken": "A String", # The continuation token, which is used to page through large result sets. Provide this value in a subsequent request to return the next page of results. This field will be empty if there aren't any additional results.
        "sequence": "A String", # A substring of the bases that make up this reference.
        "offset": "A String", # The offset position (0-based) of the given sequence from the start of this Reference. This value will differ for each page in a paginated request.
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.